%define oname	hso-udev

Name:		hso-rezero
Version:	0.1
Release:	%mkrel 21
Summary:	Tools for Option 3G cards
Group:		System/Kernel and hardware
License:	GPL
URL:		http://www.pharscape.org/
# http://www.pharscape.org/component/option,com_forum/Itemid,68/page,viewtopic/t,425/
Source0:	%{oname}.tar.gz
Source2:	49_hso-udev.rules


%description
rezero is a utility to disable the ZeroCD (fake USB CD-Rom)
temporarily at run time for Option 3G cards.

%prep
%setup -q -c
make clean

# fix empty debugsourcefiles.list using ours compile flags
sed -i -e 's|-Wall -O|-Wall -O %{optflags}|' Makefile

%build
%set_build_flags
%make_build

%install
%make_install

rm -rf %{buildroot}/etc/udev/rules.d
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 644 %{SOURCE2} %{buildroot}%{_udevrulesdir}/

%files
%{_sbindir}/*
%{_udevrulesdir}/*.rules


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.1-21.mga9
+ Revision: 1791915
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1-20.mga8
+ Revision: 1513498
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.1-19.mga7
+ Revision: 1298209
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 daviddavid <daviddavid> 0.1-18.mga7
+ Revision: 1147991
- fix build using ours compile flags thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 0.1-17.mga6
+ Revision: 943233
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-16.mga5
+ Revision: 739483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-15.mga5
+ Revision: 680172
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-14.mga4
+ Revision: 521567
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 0.1-13.mga3
+ Revision: 391274
- update rpm group

* Wed Jan 16 2013 fwang <fwang> 0.1-12.mga3
+ Revision: 388512
- correct udev rules dir
- correct udev rules dir
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 0.1-11.mga3
+ Revision: 353283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 09 2011 ahmad <ahmad> 0.1-10.mga2
+ Revision: 121158
- Clean the spec a bit

* Sat Jul 09 2011 ahmad <ahmad> 0.1-9.mga2
+ Revision: 121126
- Fix the udev rule
- imported package hso-rezero


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2011.0
+ Revision: 611101
- rebuild

* Wed Feb 03 2010 Frederic Crozat <fcrozat@mandriva.com> 0.1-7mdv2010.1
+ Revision: 500301
- Really fix obsolete syntax in udev rules

* Wed Feb 03 2010 Frederic Crozat <fcrozat@mandriva.com> 0.1-6mdv2010.1
+ Revision: 500298
- Fix udev rules

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Feb 04 2009 Olivier Blin <oblin@mandriva.com> 0.1-4mdv2009.1
+ Revision: 337515
- add support for Huawei K3175 (aka E620) from Fabrice Gamberini (Dexxon)

* Wed Jan 28 2009 Olivier Blin <oblin@mandriva.com> 0.1-3mdv2009.1
+ Revision: 334897
- rebuild build the binary, do not reuse x86 one from tarball (useful for MIPS...)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2009.0
+ Revision: 267098
- rebuild early 2009.0 package (before pixel changes)

* Fri May 23 2008 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2009.0
+ Revision: 210675
- use makeinstall_std
- use System/Configuration/Hardware as group
- update summary and description
- remove hardcoded prefix
- remove hardcoded packager tag
- do not own udev dir
- remove upstream udev rule
- use upstream tarball
- adapt to new naming and versionning
- initial hso-rezero package (from vguardiola)
- create hso-rezero

